
Figure - Bug #115176
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】点击电源按钮，再点击两次屏保，一次返回，再点击电源按钮，无法唤醒设备
2023-01-09 14:55 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-09

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Reproducibility: Every time Fixed Version: 2023-01-11

Test Type: ST Root cause: 遥控器的返回功能是通过InputManager发送返回按键按下和抬起的事件来模拟的返回功能。��当事件传递到InputDispatcher的findFocusedWindowTargetsLocked()方法时会寻找焦点所在窗口，然后进一步处理。如果所有屏幕没有焦点，该方法会阻塞在此，然后等待窗口获取焦点，如果超过5秒，则不进行事件操作。��由于关闭屏幕，会导致窗口失去焦点，遥控器模拟的keycode事件事件会被阻塞5秒。所以关闭屏幕后再用遥控器点击返回接着击电源会无法及时唤醒设备。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、连接遥控器’

2、点击电源按钮

3、点击两次屏保

4、一次返回

5、点击电源按钮

【预期结果】

5、成功唤醒设备

【实际结果】

5、无法唤醒设备

History

#1 - 2023-01-09 14:55 - CD TEST-方永红

- File deleted (Phone-STS40X190122 2023-01-09 14-54-42.mp4)

#2 - 2023-01-09 15:03 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#3 - 2023-01-10 18:25 - CD FW-程天颖

- Root cause set to 遥控器的返回功能是通过InputManager发送返回按键按下和抬起的事件来模拟的返回功能。

当事件传递到InputDispatcher的findFocusedWindowTargetsLocked()方法时会寻找焦点所在窗口，然后进一步处理。如果所有屏幕没有焦点，该方法会阻塞

在此，然后等待窗口获取焦点，如果超过5秒，则不进行事件操作。

由于关闭屏幕，会导致窗口失去焦点，遥控器模拟的keycode事件事件会被阻塞5秒。所以关闭屏幕后再用遥控器点击返回接着击电源会无法及时唤醒设

备。

#4 - 2023-01-11 15:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
175529 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Fixed  Scrren off send key code no result1.when screen off,some commond don`t do actionTC-RID: 1201-0206002IssueID:

TS-R-BUG-115176Change-Id: Iedb75b6401e2701711920f06e967c3d5dee05fc2

#5 - 2023-01-11 15:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175524 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Service - Fixed  Scrren off send key code no result1.when screen off,some commond don`t do actionTC-RID: 1201-0206001IssueID:

TS-R-BUG-115176Change-Id: I503285bdcc433fc51b41e0a62cdb601126b885ed

#6 - 2023-01-11 15:24 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-11

■ Current conclusion

bug已解决，提交已入库

■ My analysis

遥控器的返回功能是通过InputManager发送返回按键按下和抬起的事件来模拟的返回功能。

当事件传递到InputDispatcher的findFocusedWindowTargetsLocked()方法时会寻找焦点所在窗口，然后进一步处理。如果所有屏幕没有焦点，该方法会阻塞

在此，然后等待窗口获取焦点，如果超过5秒，则不进行事件操作。

由于关闭屏幕，会导致窗口失去焦点，遥控器模拟的keycode事件事件会被阻塞5秒。所以关闭屏幕后再用遥控器点击返回接着击电源会无法及时唤醒设

备。

现在息屏后会对命令进行部分限制，keycode事件只让电源在息屏后执行，更改音量加减方式，从keycode改为了AudioManager控制，息屏禁止鼠标、滑动

、方控的使用

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/175529

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/175524

#7 - 2023-01-13 15:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101
http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/175529
验证通过

#8 - 2023-01-13 15:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
